/******************************************************************************
    Filename: cc112x_dsss_mode.h  
    
    Description:  
                 
*******************************************************************************/


/******************************************************************************
 * INCLUDES
 */
#include "cc112x_spi.h"


/******************************************************************************
 * DEFINES
 */
//#define PACKET_LENGTH     16


/******************************************************************************
* FUNCTIONS
*/
void uartPrintString(uint8 *string);
void uartPrintInt(int32 number);
void uartPrintHex(uint8 number);
void uartPrintPacket(uint8 *buffer, int8 rssi);
uint8 getLengthInt(int32 number);
  

/******************************************************************************
 * VARIABLES
 */
static uint8 rxPrintBuffer[PACKET_LENGTH][2];
static uint32 packetCounter = 0;
static uint32 errorCounter = 0;
static uint32 packetCounterT = 0;
static uint32 errorCounterT = 0;


/******************************************************************************
 * MACROS
 */
#define INIT_TIMER_A() \
do { \
  P1SEL |= 0x01; \
  TA0CCTL0 = CCIE; \
  TA0CTL = 0x0010; \
  TA0CCR0 = 20; \
} while (0)

#define RESTART_TIMER_A() \
do { \
  TA0CTL = 0x0004; \
  TA0R = 0; \
  TA0CCTL0 = CCIE; \
  TA0CTL = 0x0010; \
} while (0)


/******************************************************************************
  Copyright 2011 Texas Instruments Incorporated. All rights reserved.

  IMPORTANT: Your use of this Software is limited to those specific rights
  granted under the terms of a software license agreement between the user
  who downloaded the software, his/her employer (which must be your employer)
  and Texas Instruments Incorporated (the "License").  You may not use this
  Software unless you agree to abide by the terms of the License. The License
  limits your use, and you acknowledge, that the Software may not be modified,
  copied or distributed unless embedded on a Texas Instruments microcontroller
  or used solely and exclusively in conjunction with a Texas Instruments radio
  frequency transceiver, which is integrated into your product.  Other than for
  the foregoing purpose, you may not use, reproduce, copy, prepare derivative
  works of, modify, distribute, perform, display or sell this Software and/or
  its documentation for any purpose.

  YOU FURTHER ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE
  PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,
  INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE,
  NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL
  TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT,
  NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER
  LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
  INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE
  OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT
  OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
  (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

  Should you have any questions regarding your right to use this Software,
  contact Texas Instruments Incorporated at www.TI.com.
*******************************************************************************/
