/******************************************************************************
  Filename:     hal_button_trxeb.h

  Description:  HAL button control header file for trxeb

******************************************************************************/

#ifndef HAL_BUTTON_TRXEB_H
#define HAL_BUTTON_TRXEB_H

#ifdef __cplusplus
extern "C" {
#endif


/******************************************************************************
 * INCLUDES
 */

#include "hal_types.h"

/******************************************************************************
 * CONSTANTS
 */

#define HAL_BUTTON_NONE   0x00
#define HAL_BUTTON_LEFT   0x02
#define HAL_BUTTON_RIGHT  0x04
#define HAL_BUTTON_S      0x08
#define HAL_BUTTON_UP     0x10
#define HAL_BUTTON_DOWN   0x20
#define HAL_BUTTON_ALL    (HAL_BUTTON_LEFT|HAL_BUTTON_RIGHT|HAL_BUTTON_S|HAL_BUTTON_UP|HAL_BUTTON_DOWN)

/******************************************************************************
 * FUNCTIONS
 */

void  halButtonsInit(void);
uint8 halButtonsPushed(void);
void halButtonsInterruptEnable(void);
void halButtonsInterruptDisable(uint8);


#ifdef  __cplusplus
}
#endif


/***********************************************************************************
  Copyright 2010 Texas Instruments Incorporated. All rights reserved.

  IMPORTANT: Your use of this Software is limited to those specific rights
  granted under the terms of a software license agreement between the user
  who downloaded the software, his/her employer (which must be your employer)
  and Texas Instruments Incorporated (the "License").  You may not use this
  Software unless you agree to abide by the terms of the License. The License
  limits your use, and you acknowledge, that the Software may not be modified,
  copied or distributed unless embedded on a Texas Instruments microcontroller
  or used solely and exclusively in conjunction with a Texas Instruments radio
  frequency transceiver, which is integrated into your product.  Other than for
  the foregoing purpose, you may not use, reproduce, copy, prepare derivative
  works of, modify, distribute, perform, display or sell this Software and/or
  its documentation for any purpose.

  YOU FURTHER ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE
  PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,
  INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE,
  NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL
  TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT,
  NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER
  LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
  INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE
  OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT
  OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
  (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

  Should you have any questions regarding your right to use this Software,
  contact Texas Instruments Incorporated at www.TI.com.
***********************************************************************************/

#endif
